Debian Bug report logs - #582637
[linux-2.6] Please enable CONFIG_VGA_SWITCHEROO

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Daniele Benucci <d.benux@gmail.com>

Date: Sat, 22 May 2010 10:57:02 UTC

Severity: wishlist

Tags: pending

Merged with 583532

Found in versions 2.6.34-1, 2.6.34-1~experimental.1

Fixed in version linux-2.6/2.6.34-1~experimental.2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#582637; Package linux-2.6. (Sat, 22 May 2010 10:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniele Benucci <d.benux@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 22 May 2010 10:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniele Benucci <d.benux@gmail.com>
To: submit@bugs.debian.org
Subject: [linux-2.6] Please enable CONFIG_VGA_SWITCHEROO
Date: Sat, 22 May 2010 12:53:04 +0200
Package: linux-2.6
Version: 2.6.34-1
Severity: wishlist

--- Please enter the report below this line. ---

Please enable CONFIG_VGA_SWITCHEROO kernel config option (available from 
2.6.34) to enable support for video card switching on notebooks with both 
integrated and discrete video card (aka hybrid graphics).



--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.34-1-amd64

Debian Release: squeeze/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        sidux.wuertz.org 
  500 unstable        ftp.debian.org 
  102 experimental    www.debian-multimedia.org 
  102 experimental    ftp.debian.org 

--- Package information. ---
Package's Depends field is empty.

Package's Recommends field is empty.

Package's Suggests field is empty.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#582637; Package linux-2.6. (Mon, 24 May 2010 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 May 2010 18:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 582637@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Daniele Benucci <d.benux@gmail.com>, 582637@bugs.debian.org
Subject: Re: Bug#582637: [linux-2.6] Please enable CONFIG_VGA_SWITCHEROO
Date: Mon, 24 May 2010 20:18:28 +0200
On Sat, May 22, 2010 at 12:53:04PM +0200, Daniele Benucci wrote:
> Package: linux-2.6
> Version: 2.6.34-1
> Severity: wishlist
> 
> --- Please enter the report below this line. ---
> 
> Please enable CONFIG_VGA_SWITCHEROO kernel config option (available from 
> 2.6.34) to enable support for video card switching on notebooks with both 
> integrated and discrete video card (aka hybrid graphics).

you have to check that it does not break xorg, did you?
(considering xorg packages from squeeze)
 
 
until no one checks that no point in making loud noise.
 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#582637; Package linux-2.6. (Mon, 24 May 2010 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniele Benucci <d.benux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 May 2010 18:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 582637@bugs.debian.org (full text, mbox):

From: Daniele Benucci <d.benux@gmail.com>
To: maximilian attems <max@stro.at>
Cc: 582637@bugs.debian.org
Subject: Re: Bug#582637: [linux-2.6] Please enable CONFIG_VGA_SWITCHEROO
Date: Mon, 24 May 2010 20:41:11 +0200
[Message part 1 (text/plain, inline)]
2010/5/24 maximilian attems <max@stro.at>

> > Please enable CONFIG_VGA_SWITCHEROO kernel config option (available from
> > 2.6.34) to enable support for video card switching on notebooks with both
> > integrated and discrete video card (aka hybrid graphics).
>
> you have to check that it does not break xorg, did you?
> (considering xorg packages from squeeze)
>
> until no one checks that no point in making loud noise.
>

I didn't and I will check as soon as possible (this means this weekend as
I'm going to be away for work this week)

As far as I have understood how vga switcheroo works I think it doesn't
break anything in Xorg (the switch is made via echoing in /sys, but the
actual switch is performed when restarting Xorg), but you're right this is a
thing worth to be checked.

D.

-- 
Grabel's Law:
2 is not equal to 3 -- not even for large values of 2.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#582637; Package linux-2.6. (Mon, 24 May 2010 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 May 2010 18:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 582637@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Daniele Benucci <d.benux@gmail.com>, 582637@bugs.debian.org
Cc: maximilian attems <max@stro.at>
Subject: Re: Bug#582637: [linux-2.6] Please enable CONFIG_VGA_SWITCHEROO
Date: Mon, 24 May 2010 20:51:13 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 24.05.2010, 20:41 +0200 schrieb Daniele Benucci:
> 2010/5/24 maximilian attems <max@stro.at>
>         > Please enable CONFIG_VGA_SWITCHEROO kernel config option (available from
>         > 2.6.34) to enable support for video card switching on notebooks with both
>         > integrated and discrete video card (aka hybrid graphics).
>         
>         you have to check that it does not break xorg, did you?
>         (considering xorg packages from squeeze)
>         
>         until no one checks that no point in making loud noise.
> 
> 
> I didn't and I will check as soon as possible (this means this weekend
> as I'm going to be away for work this week)
> 
> 
> As far as I have understood how vga switcheroo works I think it
> doesn't break anything in Xorg (the switch is made via echoing
> in /sys, but the actual switch is performed when restarting Xorg), but
> you're right this is a thing worth to be checked.

I just tried it on my Thinkpad T400, and after loading the right modules
(i915 and radeon) with the right option (modeset=1), it worked as
advertised. No problem with X. I also second the request to enable this
option.
 
(I reverted to unstable’s kernel, though, because my iwlagn wireless
connection was instable with 2.6.34)

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#582637; Package linux-2.6. (Mon, 24 May 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 May 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 582637@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Joachim Breitner <nomeata@debian.org>
Cc: Daniele Benucci <d.benux@gmail.com>, 582637@bugs.debian.org
Subject: Re: Bug#582637: [linux-2.6] Please enable CONFIG_VGA_SWITCHEROO
Date: Mon, 24 May 2010 20:50:33 +0200
On Mon, May 24, 2010 at 08:51:13PM +0200, Joachim Breitner wrote:
> Hi,
> 
> > 
> > I didn't and I will check as soon as possible (this means this weekend
> > as I'm going to be away for work this week)
> > 
> > 
> > As far as I have understood how vga switcheroo works I think it
> > doesn't break anything in Xorg (the switch is made via echoing
> > in /sys, but the actual switch is performed when restarting Xorg), but
> > you're right this is a thing worth to be checked.
> 
> I just tried it on my Thinkpad T400, and after loading the right modules
> (i915 and radeon) with the right option (modeset=1), it worked as
> advertised. No problem with X. I also second the request to enable this
> option.
>  
> (I reverted to unstable???s kernel, though, because my iwlagn wireless
> connection was instable with 2.6.34)

did you check with intel xorg driver from unstable/testing?
please provide version?

as soon this is done, I can turn it on.
thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#582637; Package linux-2.6. (Mon, 24 May 2010 19:32:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 May 2010 19:32:29 GMT) Full text and rfc822 format available.

Message #30 received at 582637@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 582637@bugs.debian.org
Subject: Re: Bug#582637: [linux-2.6] Please enable CONFIG_VGA_SWITCHEROO
Date: Mon, 24 May 2010 21:09:10 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 24.05.2010, 20:50 +0200 schrieb maximilian attems:
> On Mon, May 24, 2010 at 08:51:13PM +0200, Joachim Breitner wrote:
> > > As far as I have understood how vga switcheroo works I think it
> > > doesn't break anything in Xorg (the switch is made via echoing
> > > in /sys, but the actual switch is performed when restarting Xorg), but
> > > you're right this is a thing worth to be checked.
> > 
> > I just tried it on my Thinkpad T400, and after loading the right modules
> > (i915 and radeon) with the right option (modeset=1), it worked as
> > advertised. No problem with X. I also second the request to enable this
> > option.
>
> did you check with intel xorg driver from unstable/testing?
> please provide version?

It’s all from unstable:
$ dpkg -l xserver-xorg-video-\*|grep ^ii
ii  xserver-xorg-video-ati                             1:6.13.0-2                   X.Org X server -- AMD/ATI display driver wra
ii  xserver-xorg-video-intel                           2:2.9.1-4                    X.Org X server -- Intel i8xx, i9xx display d
ii  xserver-xorg-video-mach64                          6.8.2-3                      X.Org X server -- ATI Mach64 display driver
ii  xserver-xorg-video-r128                            6.8.1-3                      X.Org X server -- ATI r128 display driver
ii  xserver-xorg-video-radeon                          1:6.13.0-2                   X.Org X server -- AMD/ATI Radeon display dri

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Wed, 26 May 2010 21:27:07 GMT) Full text and rfc822 format available.

Forcibly Merged 582637 583532. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 28 May 2010 08:12:03 GMT) Full text and rfc822 format available.

Forcibly Merged 582637 583532. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 28 May 2010 20:57:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#582637; Package linux-2.6. (Sat, 29 May 2010 18:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniele Benucci <d.benux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 May 2010 18:15:06 GMT) Full text and rfc822 format available.

Message #41 received at 582637@bugs.debian.org (full text, mbox):

From: Daniele Benucci <d.benux@gmail.com>
To: 582637@bugs.debian.org
Subject: Re: Bug#582637: [linux-2.6] Please enable CONFIG_VGA_SWITCHEROO
Date: Sat, 29 May 2010 20:11:30 +0200
[Message part 1 (text/plain, inline)]
As promised I checked too, using xorg and radeon drivers currently from sid
(the version of the server packages is the same of the packages in testing,
while the driver's version is not --used 6.13.0-2--), kms enabled (it's the
default for radeon), and can confirm it works without problems here too.

I also tried to switch the cards "on-the-fly" (= with Xorg running) echoing
"DIS" and "IGD" instead of the "delayed" equivalents DDIS and DIGD (that
perform the switch when shutting down Xorg) to check if using them could
lead to breakage: no problems in this case too, as the echoed option is
ignored

System is an Asus M51Ta, with ati+ati hybrid graphics.

D.

-- 
Grabel's Law:
2 is not equal to 3 -- not even for large values of 2.
[Message part 2 (text/html, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 06 Jun 2010 21:42:32 GMT) Full text and rfc822 format available.

Notification sent to Daniele Benucci <d.benux@gmail.com>:
Bug acknowledged by developer. (Sun, 06 Jun 2010 21:42:32 GMT) Full text and rfc822 format available.

Message #46 received at 582637-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 582637-close@bugs.debian.org
Subject: Bug#582637: fixed in linux-2.6 2.6.34-1~experimental.2
Date: Sun, 06 Jun 2010 21:39:38 +0000
Source: linux-2.6
Source-Version: 2.6.34-1~experimental.2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.34-1~experimental.2_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.34-1~experimental.2_all.deb
linux-2.6_2.6.34-1~experimental.2.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.34-1~experimental.2.diff.gz
linux-2.6_2.6.34-1~experimental.2.dsc
  to main/l/linux-2.6/linux-2.6_2.6.34-1~experimental.2.dsc
linux-base_2.6.34-1~experimental.2_all.deb
  to main/l/linux-2.6/linux-base_2.6.34-1~experimental.2_all.deb
linux-doc-2.6.34_2.6.34-1~experimental.2_all.deb
  to main/l/linux-2.6/linux-doc-2.6.34_2.6.34-1~experimental.2_all.deb
linux-manual-2.6.34_2.6.34-1~experimental.2_all.deb
  to main/l/linux-2.6/linux-manual-2.6.34_2.6.34-1~experimental.2_all.deb
linux-patch-debian-2.6.34_2.6.34-1~experimental.2_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.34_2.6.34-1~experimental.2_all.deb
linux-source-2.6.34_2.6.34-1~experimental.2_all.deb
  to main/l/linux-2.6/linux-source-2.6.34_2.6.34-1~experimental.2_all.deb
linux-support-2.6.34-1_2.6.34-1~experimental.2_all.deb
  to main/l/linux-2.6/linux-support-2.6.34-1_2.6.34-1~experimental.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582637@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 06 Jun 2010 18:53:04 +0100
Source: linux-2.6
Binary: linux-source-2.6.34 linux-doc-2.6.34 linux-manual-2.6.34 linux-patch-debian-2.6.34 firmware-linux-free linux-support-2.6.34-1 linux-base linux-libc-dev linux-headers-2.6.34-1-all linux-headers-2.6.34-1-all-alpha linux-headers-2.6.34-1-common linux-image-2.6.34-1-alpha-generic linux-headers-2.6.34-1-alpha-generic linux-image-2.6.34-1-alpha-smp linux-headers-2.6.34-1-alpha-smp linux-image-2.6.34-1-alpha-legacy linux-headers-2.6.34-1-alpha-legacy linux-headers-2.6.34-1-all-amd64 linux-image-2.6.34-1-amd64 linux-headers-2.6.34-1-amd64 linux-image-2.6.34-1-amd64-dbg linux-headers-2.6.34-1-all-armel linux-image-2.6.34-1-iop32x linux-headers-2.6.34-1-iop32x linux-image-2.6.34-1-ixp4xx linux-headers-2.6.34-1-ixp4xx linux-image-2.6.34-1-kirkwood linux-headers-2.6.34-1-kirkwood linux-image-2.6.34-1-orion5x linux-headers-2.6.34-1-orion5x linux-image-2.6.34-1-versatile linux-headers-2.6.34-1-versatile linux-headers-2.6.34-1-all-hppa linux-image-2.6.34-1-parisc
 linux-headers-2.6.34-1-parisc linux-image-2.6.34-1-parisc-smp linux-headers-2.6.34-1-parisc-smp linux-image-2.6.34-1-parisc64 linux-headers-2.6.34-1-parisc64 linux-image-2.6.34-1-parisc64-smp linux-headers-2.6.34-1-parisc64-smp linux-headers-2.6.34-1-all-i386 linux-image-2.6.34-1-486 linux-headers-2.6.34-1-486 linux-image-2.6.34-1-686 linux-headers-2.6.34-1-686 linux-image-2.6.34-1-686-bigmem linux-headers-2.6.34-1-686-bigmem linux-image-2.6.34-1-686-bigmem-dbg linux-headers-2.6.34-1-all-ia64 linux-image-2.6.34-1-itanium linux-headers-2.6.34-1-itanium linux-image-2.6.34-1-mckinley linux-headers-2.6.34-1-mckinley linux-headers-2.6.34-1-all-m68k linux-image-2.6.34-1-amiga linux-headers-2.6.34-1-amiga linux-image-2.6.34-1-atari linux-headers-2.6.34-1-atari linux-image-2.6.34-1-bvme6000 linux-headers-2.6.34-1-bvme6000 linux-image-2.6.34-1-mac linux-headers-2.6.34-1-mac linux-image-2.6.34-1-mvme147 linux-headers-2.6.34-1-mvme147 linux-image-2.6.34-1-mvme16x
 linux-headers-2.6.34-1-mvme16x linux-headers-2.6.34-1-all-mips linux-image-2.6.34-1-r4k-ip22 linux-headers-2.6.34-1-r4k-ip22 linux-image-2.6.34-1-r5k-ip32 linux-headers-2.6.34-1-r5k-ip32 linux-image-2.6.34-1-sb1-bcm91250a linux-headers-2.6.34-1-sb1-bcm91250a linux-image-2.6.34-1-sb1a-bcm91480b linux-headers-2.6.34-1-sb1a-bcm91480b linux-image-2.6.34-1-4kc-malta linux-headers-2.6.34-1-4kc-malta linux-image-2.6.34-1-5kc-malta linux-headers-2.6.34-1-5kc-malta linux-headers-2.6.34-1-all-mipsel linux-image-2.6.34-1-r5k-cobalt linux-headers-2.6.34-1-r5k-cobalt linux-image-2.6.34-1-loongson-2f linux-headers-2.6.34-1-loongson-2f linux-headers-2.6.34-1-all-powerpc linux-image-2.6.34-1-powerpc linux-headers-2.6.34-1-powerpc linux-image-2.6.34-1-powerpc-smp linux-headers-2.6.34-1-powerpc-smp linux-image-2.6.34-1-powerpc64 linux-headers-2.6.34-1-powerpc64 linux-headers-2.6.34-1-all-s390 linux-image-2.6.34-1-s390x linux-headers-2.6.34-1-s390x linux-image-2.6.34-1-s390x-tape
 linux-headers-2.6.34-1-all-sh4 linux-image-2.6.34-1-sh7751r linux-headers-2.6.34-1-sh7751r linux-image-2.6.34-1-sh7785lcr linux-headers-2.6.34-1-sh7785lcr linux-headers-2.6.34-1-all-sparc linux-image-2.6.34-1-sparc64 linux-headers-2.6.34-1-sparc64 linux-image-2.6.34-1-sparc64-smp linux-headers-2.6.34-1-sparc64-smp
 linux-headers-2.6.34-1-all-sparc64
Architecture: source all
Version: 2.6.34-1~experimental.2
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.34 - Linux kernel specific documentation for version 2.6.34
 linux-headers-2.6.34-1-486 - Header files for Linux 2.6.34-1-486
 linux-headers-2.6.34-1-4kc-malta - Header files for Linux 2.6.34-1-4kc-malta
 linux-headers-2.6.34-1-5kc-malta - Header files for Linux 2.6.34-1-5kc-malta
 linux-headers-2.6.34-1-686 - Header files for Linux 2.6.34-1-686
 linux-headers-2.6.34-1-686-bigmem - Header files for Linux 2.6.34-1-686-bigmem
 linux-headers-2.6.34-1-all - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-alpha - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-amd64 - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-armel - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-hppa - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-i386 - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-ia64 - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-m68k - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-mips - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-mipsel - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-powerpc - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-s390 - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-sh4 - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-sparc - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-all-sparc64 - All header files for Linux 2.6.34
 linux-headers-2.6.34-1-alpha-generic - Header files for Linux 2.6.34-1-alpha-generic
 linux-headers-2.6.34-1-alpha-legacy - Header files for Linux 2.6.34-1-alpha-legacy
 linux-headers-2.6.34-1-alpha-smp - Header files for Linux 2.6.34-1-alpha-smp
 linux-headers-2.6.34-1-amd64 - Header files for Linux 2.6.34-1-amd64
 linux-headers-2.6.34-1-amiga - Header files for Linux 2.6.34-1-amiga
 linux-headers-2.6.34-1-atari - Header files for Linux 2.6.34-1-atari
 linux-headers-2.6.34-1-bvme6000 - Header files for Linux 2.6.34-1-bvme6000
 linux-headers-2.6.34-1-common - Common header files for Linux 2.6.34-1
 linux-headers-2.6.34-1-iop32x - Header files for Linux 2.6.34-1-iop32x
 linux-headers-2.6.34-1-itanium - Header files for Linux 2.6.34-1-itanium
 linux-headers-2.6.34-1-ixp4xx - Header files for Linux 2.6.34-1-ixp4xx
 linux-headers-2.6.34-1-kirkwood - Header files for Linux 2.6.34-1-kirkwood
 linux-headers-2.6.34-1-loongson-2f - Header files for Linux 2.6.34-1-loongson-2f
 linux-headers-2.6.34-1-mac - Header files for Linux 2.6.34-1-mac
 linux-headers-2.6.34-1-mckinley - Header files for Linux 2.6.34-1-mckinley
 linux-headers-2.6.34-1-mvme147 - Header files for Linux 2.6.34-1-mvme147
 linux-headers-2.6.34-1-mvme16x - Header files for Linux 2.6.34-1-mvme16x
 linux-headers-2.6.34-1-orion5x - Header files for Linux 2.6.34-1-orion5x
 linux-headers-2.6.34-1-parisc - Header files for Linux 2.6.34-1-parisc
 linux-headers-2.6.34-1-parisc-smp - Header files for Linux 2.6.34-1-parisc-smp
 linux-headers-2.6.34-1-parisc64 - Header files for Linux 2.6.34-1-parisc64
 linux-headers-2.6.34-1-parisc64-smp - Header files for Linux 2.6.34-1-parisc64-smp
 linux-headers-2.6.34-1-powerpc - Header files for Linux 2.6.34-1-powerpc
 linux-headers-2.6.34-1-powerpc-smp - Header files for Linux 2.6.34-1-powerpc-smp
 linux-headers-2.6.34-1-powerpc64 - Header files for Linux 2.6.34-1-powerpc64
 linux-headers-2.6.34-1-r4k-ip22 - Header files for Linux 2.6.34-1-r4k-ip22
 linux-headers-2.6.34-1-r5k-cobalt - Header files for Linux 2.6.34-1-r5k-cobalt
 linux-headers-2.6.34-1-r5k-ip32 - Header files for Linux 2.6.34-1-r5k-ip32
 linux-headers-2.6.34-1-s390x - Header files for Linux 2.6.34-1-s390x
 linux-headers-2.6.34-1-sb1-bcm91250a - Header files for Linux 2.6.34-1-sb1-bcm91250a
 linux-headers-2.6.34-1-sb1a-bcm91480b - Header files for Linux 2.6.34-1-sb1a-bcm91480b
 linux-headers-2.6.34-1-sh7751r - Header files for Linux 2.6.34-1-sh7751r
 linux-headers-2.6.34-1-sh7785lcr - Header files for Linux 2.6.34-1-sh7785lcr
 linux-headers-2.6.34-1-sparc64 - Header files for Linux 2.6.34-1-sparc64
 linux-headers-2.6.34-1-sparc64-smp - Header files for Linux 2.6.34-1-sparc64-smp
 linux-headers-2.6.34-1-versatile - Header files for Linux 2.6.34-1-versatile
 linux-image-2.6.34-1-486 - Linux 2.6.34 for old PCs
 linux-image-2.6.34-1-4kc-malta - Linux 2.6.34 for MIPS Malta
 linux-image-2.6.34-1-5kc-malta - Linux 2.6.34 for MIPS Malta (64-bit)
 linux-image-2.6.34-1-686 - Linux 2.6.34 for modern PCs
 linux-image-2.6.34-1-686-bigmem - Linux 2.6.34 for PCs with 4GB+ RAM
 linux-image-2.6.34-1-686-bigmem-dbg - Debugging infos for Linux 2.6.34-1-686-bigmem
 linux-image-2.6.34-1-alpha-generic - Linux 2.6.34 for Alpha
 linux-image-2.6.34-1-alpha-legacy - Linux 2.6.34 for Alpha Legacy
 linux-image-2.6.34-1-alpha-smp - Linux 2.6.34 for Alpha SMP
 linux-image-2.6.34-1-amd64 - Linux 2.6.34 for 64-bit PCs
 linux-image-2.6.34-1-amd64-dbg - Debugging infos for Linux 2.6.34-1-amd64
 linux-image-2.6.34-1-amiga - Linux 2.6.34 for Amiga
 linux-image-2.6.34-1-atari - Linux 2.6.34 for Atari
 linux-image-2.6.34-1-bvme6000 - Linux 2.6.34 for BVM BVME4000 and BVME6000
 linux-image-2.6.34-1-iop32x - Linux 2.6.34 for IOP32x
 linux-image-2.6.34-1-itanium - Linux 2.6.34 for Itanium
 linux-image-2.6.34-1-ixp4xx - Linux 2.6.34 for IXP4xx
 linux-image-2.6.34-1-kirkwood - Linux 2.6.34 for Marvell Kirkwood
 linux-image-2.6.34-1-loongson-2f - Linux 2.6.34 for Loongson 2F
 linux-image-2.6.34-1-mac - Linux 2.6.34 for Macintosh
 linux-image-2.6.34-1-mckinley - Linux 2.6.34 for Itanium II
 linux-image-2.6.34-1-mvme147 - Linux 2.6.34 for Motorola MVME147
 linux-image-2.6.34-1-mvme16x - Linux 2.6.34 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.34-1-orion5x - Linux 2.6.34 for Marvell Orion
 linux-image-2.6.34-1-parisc - Linux 2.6.34 for 32-bit PA-RISC
 linux-image-2.6.34-1-parisc-smp - Linux 2.6.34 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.34-1-parisc64 - Linux 2.6.34 for 64-bit PA-RISC
 linux-image-2.6.34-1-parisc64-smp - Linux 2.6.34 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.34-1-powerpc - Linux 2.6.34 for uniprocessor 32-bit PowerPC
 linux-image-2.6.34-1-powerpc-smp - Linux 2.6.34 for multiprocessor 32-bit PowerPC
 linux-image-2.6.34-1-powerpc64 - Linux 2.6.34 for 64-bit PowerPC
 linux-image-2.6.34-1-r4k-ip22 - Linux 2.6.34 for SGI IP22
 linux-image-2.6.34-1-r5k-cobalt - Linux 2.6.34 for Cobalt
 linux-image-2.6.34-1-r5k-ip32 - Linux 2.6.34 for SGI IP32
 linux-image-2.6.34-1-s390x - Linux 2.6.34 for IBM zSeries
 linux-image-2.6.34-1-s390x-tape - Linux 2.6.34 for IBM zSeries, IPL from tape
 linux-image-2.6.34-1-sb1-bcm91250a - Linux 2.6.34 for BCM91250A
 linux-image-2.6.34-1-sb1a-bcm91480b - Linux 2.6.34 for BCM91480B
 linux-image-2.6.34-1-sh7751r - Linux 2.6.34 for sh7751r
 linux-image-2.6.34-1-sh7785lcr - Linux 2.6.34 for sh7785lcr
 linux-image-2.6.34-1-sparc64 - Linux 2.6.34 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.34-1-sparc64-smp - Linux 2.6.34 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.34-1-versatile - Linux 2.6.34 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.34 - Linux kernel API manual pages for version 2.6.34
 linux-patch-debian-2.6.34 - Debian patches to version 2.6.34 of the Linux kernel
 linux-source-2.6.34 - Linux kernel source for version 2.6.34 with Debian patches
 linux-support-2.6.34-1 - Support files for Linux 2.6.34
Closes: 392592 508108 536537 559406 566208 578262 580740 582224 582637 582808 582810
Changes: 
 linux-2.6 (2.6.34-1~experimental.2) experimental; urgency=low
 .
   [ Ben Hutchings ]
   * [x86] Reenable rtl8192su, accidentally disabled in previous version
     (Closes: #580740)
   * writeback: Update dirty flags in two steps
   * writeback: ensure that WB_SYNC_NONE writeback with sb pinned is sync
     (Closes: #582808)
   * writeback: fix non-integrity write-back
   * [mipsel] Add a loongson-2f flavour
   * [mipsel] Loongson: Define rtc device on MC146818-equipped systems
   * Make gcc-4.4 the default compiler
   * [ia64] Hardcode the output of the scripts under arch/ia64/scripts so
     that we can build out-of-tree modules correctly (refresh and re-add
     dropped patch) (Closes: #392592)
   * [ia64] Enable SGI SN support and mspec driver (Closes: #582224)
   * iwlwifi: Disable QoS when connected to a non-QoS-capable AP
     (Closes: #578262)
   * [x86] Disable e_powersaver cpufreq driver as unsafe. It has already
     been blacklisted by cpufrequtils. The acpi-cpufreq driver can be used
     instead on some VIA C7 systems. (Closes: #566208)
   * [amd64] ext4: Fix compat EXT4_IOC_ADD_GROUP (used by online resize)
   * Install debug kernel image in /usr/lib/debug/boot (Closes: #582810)
   * Build inet_lro as a module
   * [sparc] Enable CONFIG_FB_XVR500, CONFIG_FB_XVR2500 (Closes: #508108)
 .
   [ maximilian attems ]
   * topconfig enable CFQ_GROUP_IOSCHED, MFD_WM8994, REGULATOR_MAX8649,
     REGULATOR_WM8994, VHOST_NET, BT_ATH3K, CRYPTO_PCRYPT.
   * [x86] Enable X86_PCC_CPUFREQ, VGA_SWITCHEROO (closes: #582637).
 .
   [ Martin Michlmayr ]
   * QNAP TS-419P: Export GPIO indicating jumper setting of JP1.
 .
   [ dann frazier ]
   * [hppa] clear floating point exception flag on SIGFPE signal
     (Closes: #559406)
 .
   [ Aurelien Jarno ]
   * [sh4] fix sh_tmu clocksource following recent nohz changes.
 .
   [ Moritz Muehlenhoff ]
   * Enable X86 board specific fixups for reboot (Closes: #536537)
Checksums-Sha1: 
 213e3defdb98737452df3e94e411f18b2a0541c7 5651 linux-2.6_2.6.34-1~experimental.2.dsc
 9f0d7bde2e02e5d704bf04896db89bfb2e9a1f38 591349 linux-2.6_2.6.34-1~experimental.2.diff.gz
 0ce56d4d265d22e01c3ffbaadb2df89091012af4 6174670 linux-doc-2.6.34_2.6.34-1~experimental.2_all.deb
 839869ef7f77842aa76140eefc0849911f3c1512 2792926 linux-manual-2.6.34_2.6.34-1~experimental.2_all.deb
 b3f4b844ff945776f43c48edbbb5ef12c6cb4dc0 390536 linux-patch-debian-2.6.34_2.6.34-1~experimental.2_all.deb
 a4527431f0036a59fdff5594189bfa1bcc56c423 66862728 linux-source-2.6.34_2.6.34-1~experimental.2_all.deb
 f797f0664b380a0e12e8c85f4fa601902be19d7d 145902 linux-support-2.6.34-1_2.6.34-1~experimental.2_all.deb
 e23f37f01c7853523a704d0d9328392485868d44 134920 firmware-linux-free_2.6.34-1~experimental.2_all.deb
 4e71b5ccd7cd9b28f0a229f2bb6fe77af2fa938c 150808 linux-base_2.6.34-1~experimental.2_all.deb
Checksums-Sha256: 
 cd379851420723adc069654774718a928649f45fd46d2de3dc3a9a508f721a7f 5651 linux-2.6_2.6.34-1~experimental.2.dsc
 1354c8bc55ed896e326e9119949da8c9887c4bbd0d3c114fffdbb710ea8d448e 591349 linux-2.6_2.6.34-1~experimental.2.diff.gz
 31b70834a621b54f32277b61c29c5a7645e02119198714d40af838cbdcbfecea 6174670 linux-doc-2.6.34_2.6.34-1~experimental.2_all.deb
 5e227dd02660bb7672b889756f49b3ac9f2e79d5d14388529c01464ffa8f8a8b 2792926 linux-manual-2.6.34_2.6.34-1~experimental.2_all.deb
 ca93fb1b6bdecea64010c278ec38625ef1df6c6623ef932e30e3d8325525a07b 390536 linux-patch-debian-2.6.34_2.6.34-1~experimental.2_all.deb
 40d86fcc45a4c4e3cbdc14478215a21166bee8ff06440cd09cf9f75bb7ef827a 66862728 linux-source-2.6.34_2.6.34-1~experimental.2_all.deb
 d5c1447b14de8742b005b1e00d0e6e6762b9918a4a8ee90febfbd9555d7b6acb 145902 linux-support-2.6.34-1_2.6.34-1~experimental.2_all.deb
 70757ea64f7b0ef6b9f0ec0eb4a988fd956e23e2d96c66633ea0aefb51a64ebf 134920 firmware-linux-free_2.6.34-1~experimental.2_all.deb
 c5ac65cd5639631f12d2bfea4c24cc7aee04f66282027666343b015960c1dadf 150808 linux-base_2.6.34-1~experimental.2_all.deb
Files: 
 3fedf74e5ff0aa31e00700750312b92a 5651 kernel optional linux-2.6_2.6.34-1~experimental.2.dsc
 12620c1fab522db8129f2bab6b3a6247 591349 kernel optional linux-2.6_2.6.34-1~experimental.2.diff.gz
 7479d3312144dd4b02d30f151221ceba 6174670 doc optional linux-doc-2.6.34_2.6.34-1~experimental.2_all.deb
 d8396716b146ccc38218ff2e77044f2a 2792926 doc optional linux-manual-2.6.34_2.6.34-1~experimental.2_all.deb
 965880a6cccc059765544b17f570c9c2 390536 kernel optional linux-patch-debian-2.6.34_2.6.34-1~experimental.2_all.deb
 2b6b0153c3c4ad1f90ebb9c503139aa9 66862728 kernel optional linux-source-2.6.34_2.6.34-1~experimental.2_all.deb
 0c5c84b493680a7a1dc16f12e276abc9 145902 devel optional linux-support-2.6.34-1_2.6.34-1~experimental.2_all.deb
 9165cfb9e41c59fdd69e338d75b85215 134920 kernel optional firmware-linux-free_2.6.34-1~experimental.2_all.deb
 c7264b8b0c524abb636829b0e068e894 150808 kernel optional linux-base_2.6.34-1~experimental.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTAvzuee/yOyVhhEJAQpCCBAA1d8jWNBrtLIdpIq6elwAro+cSMRjAm/c
uPfff1s91Qxts7chdpZ+uN2VLDbQpGj63CycWTvyLOsnCdgnfft2EWO6/CcYgmH9
PNr1UiGVQqFr12DkOcLObTP5RVaJS4zcj6NyBQ4U6cqTUcZvCiBtaIhH//BINYO4
lbajemMzpza7dxkB6y0AW+KzfEQTHd+a0FZ0c5bZv+873+Z+2mwv+JVxMuGBIzGZ
YIfpUu2Zc4+MFssngyvQh0ctvi2jsCL48YJFCYFMw82ci+NgTFi1kfVblAdKrBcH
w1ltH8tyZ+G+IBOtlvf+rGmTPYa+CGhvMGY9D295RY7lvefe97uS8crMw4j3EX+W
5KbzndV+7Oxhf0P3y+4FcwSD+1hHqbZnIOMz+UaV8PHl6e+kNaoQbwe+9Sj6TvRU
yhkO12QWZ4KQfn+kZtJYOoDRrDZq34xoiOeVX2IWIe5tKuQpv4hOwIesaq/ejLhm
wxtdSB8rnVnR5MMNhIzFKdI7k4KHWhCzyhRvVykv702N1GMQd4SPSQCXzCzS+10z
pS4okwjIKOlOGrkyfBX+7S65AKinNQla1Vb7jjgJ7R/AeYFiRR9I0p3PfuTAq+GG
ZYVCQejYPvSSGUOaJwkCTkR3eIy+kEjD0N8OHOlkgWUUB356HiE02LYWhfU5Z3Op
pTKqi3YvW0M=
=CekA
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 06 Jun 2010 21:42:33 GMT) Full text and rfc822 format available.

Notification sent to Federico Di Gregorio <fog@debian.org>:
Bug acknowledged by developer. (Sun, 06 Jun 2010 21:42:33 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 09 Jun 2010 08:06:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Jul 2010 07:36:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:57:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.